using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.BaseData.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 演练总结要求项目
    /// </summary>
    [Description("演练总结要求项目")]
    public class T_CM_DRILL_SUMMARY_REQUIREMENT_TYPE : MesEntityBase
    {
        /// <summary>
        /// 演练总结要求编号
        /// </summary>
        [Description("编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        [CUnique]
        [CodeRule((int)PFCodeRuleType.应急管理)]
        public string CODE { get; set; }

        /// <summary>
        /// 演练总结要求名称
        /// </summary>
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }
    }
}
